REALMCHK(1)

NAME
realmchk - Validate a set of DNSSEC-Tools realms files

SYNOPSIS
  realmchk [options] <realm-files>

DESCRIPTION
realmchk checks the validity of a set of DNSSEC-Tools realms file. The results can be given in a summary or verbose form, or without any results printed at all. The exit code is the count of errors found by realmchk in all the realms files checked.

realmchk identifies the following error conditions:

* The state is either "active" or "inactive".

* The config directory is a writable, searchable directory.

* The state directory is a writable, searchable directory..

* The realm directory is a writable, searchable directory.

* The rollrec file is a writable regular file.

* If the user is defined, it is a valid user.

OPTIONS
The following options are handled by realmchk.

-quiet
    Give no output.

-verbose
    Provide extensive output describing the state of the realms files.

-Version
    Displays the version information for realmchk and the DNSSEC-Tools package.

-help
    Displays a help message and exits.

COPYRIGHT
Copyright 2012-2014 SPARTA, Inc. All rights reserved. See the COPYING file included with the DNSSEC-Tools package for details.

AUTHOR
Wayne Morrison, tewok@tislabs.com

SEE ALSO
dtrealms(8), lsrealm(8), realminit(8)

Net::DNS::SEC::Tools::realm.pm(3),